/* Typografie */

body {
    font-family: 'Noto Serif', 'Noto Sans', serif;
}

h1, h2, h3, h4, h5, h6, .label-frame, .brand-sub, .article-lightbox-counter, .page-nav a, .sign-text, .sign-note {
    font-family: 'Noto Sans', sans-serif;
}

/* Typografie pro latinku */

@font-face {
    font-family: 'Cinzel';
    src: url('/fonts/cinzel/Cinzel.woff2') format('woff2');
    font-style: normal;
    font-display: swap;
}

h1.celebratory, .brand-main {
    font-family: 'Cinzel', serif;
}

/* Typografie pro hebrejštinu */

html[lang='he'] h1.celebratory {
    font-family: 'Noto Serif Hebrew', serif;
}

/* Typografie pro japonštinu (používá CJK znaky) */

html[lang='ja'] > body, html[lang='ja'] .label-frame {
    font-family: 'Noto Sans JP', 'Noto Sans', sans-serif;
}

html[lang='ja'] h1, html[lang='ja'] h2, html[lang='ja'] h3, html[lang='ja'] h4, html[lang='ja'] h5, html[lang='ja'] h6 {
    font-family: 'Noto Serif JP', 'Noto Serif', serif;
}

/* Typografie pro korejštinu (používá CJK znaky) */

html[lang='ko'] > body, html[lang='ko'] .label-frame {
    font-family: 'Noto Sans KR', 'Noto Sans', sans-serif;
}

html[lang='ko'] h1, html[lang='ko'] h2, html[lang='ko'] h3, html[lang='ko'] h4, html[lang='ko'] h5, html[lang='ko'] h6 {
    font-family: 'Noto Serif KR', 'Noto Serif', serif;
}

/* Typografie pro mandarýnštinu, zjednodušené znaky */

html[lang='zh'] > body, html[lang='zh'] .label-frame {
    font-family: 'Noto Sans SC', 'Noto Sans', sans-serif;
}

html[lang='zh'] h1, html[lang='zh'] h2, html[lang='zh'] h3, html[lang='zh'] h4, html[lang='zh'] h5, html[lang='zh'] h6 {
    font-family: 'Noto Serif SC', 'Noto Serif', serif;
}

/* Typografie pro mandarýnětinu, tradiční znaky */

html[lang='zh-TW'] > body, html[lang='zh-TW'] .label-frame {
    font-family: 'Noto Sans TC', 'Noto Sans', sans-serif;
}

html[lang='zh-TW'] h1, html[lang='zh-TW'] h2, html[lang='zh-TW'] h3, html[lang='zh-TW'] h4, html[lang='zh-TW'] h5, html[lang='zh-TW'] h6 {
    font-family: 'Noto Serif TC', 'Noto Serif', serif;
}

/* Typografie pro gudžarátštinu */
    
html[lang='gu'] > body, html[lang='gu'] .label-frame {
    font-family: 'Noto Sans Gujarati', 'Noto Sans', sans-serif;
}

html[lang='gu'] h1, html[lang='gu'] h2, html[lang='gu'] h3, html[lang='gu'] h4, html[lang='gu'] h5, html[lang='gu'] h6 {
    font-family: 'Noto Serif Gujarati', 'Noto Serif', serif;
}

/* Typografie pro kannadštinu */

html[lang='kn'] > body, html[lang='kn'] .label-frame {
    font-family: 'Noto Sans Kannada', 'Noto Sans', sans-serif;
}

html[lang='kn'] h1, html[lang='kn'] h2, html[lang='kn'] h3, html[lang='kn'] h4, html[lang='kn'] h5, html[lang='kn'] h6 {
    font-family: 'Noto Serif Kannada', 'Noto Serif', serif;
}

/* Větší font-size a menší font-weight pro .label-frame u CJK, arabských a indických písem */

html[lang='ar'] .label-frame, html[lang='ar'] .sign-text, html[lang='ar'] .sign-note, 
html[lang='bn'] .label-frame, html[lang='bn'] .sign-text, html[lang='bn'] .sign-note,
html[lang='gu'] .label-frame, html[lang='gu'] .sign-text, html[lang='gu'] .sign-note,  
html[lang='hi'] .label-frame, html[lang='hi'] .sign-text, html[lang='hi'] .sign-note, 
html[lang='pa'] .label-frame, html[lang='pa'] .sign-text, html[lang='pa'] .sign-note, 
html[lang='ja'] .label-frame, html[lang='ja'] .sign-text, html[lang='ja'] .sign-note, 
html[lang='kn'] .label-frame, html[lang='kn'] .sign-text, html[lang='kn'] .sign-note, 
html[lang='ko'] .label-frame, html[lang='ko'] .sign-text, html[lang='ko'] .sign-note, 
html[lang='ta'] .label-frame, html[lang='ta'] .sign-text, html[lang='ta'] .sign-note, 
html[lang='te'] .label-frame, html[lang='te'] .sign-text, html[lang='te'] .sign-note, 
html[lang='th'] .label-frame, html[lang='th'] .sign-text, html[lang='th'] .sign-note, 
html[lang='ur'] .label-frame, html[lang='ur'] .sign-text, html[lang='ur'] .sign-note, 
html[lang='zh'] .label-frame, html[lang='zh'] .sign-text, html[lang='zh'] .sign-note, 
html[lang='zh-TW'] .label-frame, html[lang='zh-TW'] .sign-text, html[lang='zh-TW'] .sign-note {
    font-size: 1.2em;
    font-weight: 300;
}

/* Typografie pro urdštinu (používá arabské znaky) */

html[lang='ur'] > body, html[lang='ur'] h1, html[lang='ur'] h2, html[lang='ur'] h3, html[lang='ur'] h4, html[lang='ur'] h5, html[lang='ur'] h6, html[lang='ur'] .label-frame {
    font-family: 'Noto Nastaliq Urdu', 'Noto Serif', serif;
}

/* Latin, Greek, Cyrillic */

@font-face {
    font-family: 'Noto Sans';
    src: url('/fonts/noto-sans/NotoSans.woff2') format('woff2');
    font-style: normal;
    font-display: swap;
    unicode-range:
    U+0000-00FF, /* Latin */
    U+0100-017F, /* Latin Extended-A */
    U+0180-024F, /* Latin Extended-B */
    U+1E00-1EFF, /* Latin Extended Additional */
    U+0370-03FF, /* Greek */
    U+1F00-1FFF, /* Greek Extended */
    U+0400-04FF, /* Cyrillic */
    U+0500-052F; /* Cyrillic Supplement */
}

@font-face {
    font-family: 'Noto Sans';
    src: url('/fonts/noto-sans/NotoSans-Italic.woff2') format('woff2');
    font-style: italic;
    font-display: swap;
    unicode-range:
    U+0000-00FF, /* Latin */
    U+0100-017F, /* Latin Extended-A */
    U+0180-024F, /* Latin Extended-B */
    U+1E00-1EFF, /* Latin Extended Additional */
    U+0370-03FF, /* Greek */
    U+1F00-1FFF, /* Greek Extended */
    U+0400-04FF, /* Cyrillic */
    U+0500-052F; /* Cyrillic Supplement */
}

@font-face {
    font-family: 'Noto Serif';
    src: url('/fonts/noto-serif/NotoSerif.woff2') format('woff2');
    font-style: normal;
    font-display: swap;
    unicode-range:
    U+0000-00FF, /* Latin */
    U+0100-017F, /* Latin Extended-A */
    U+0180-024F, /* Latin Extended-B */
    U+1E00-1EFF, /* Latin Extended Additional */
    U+0370-03FF, /* Greek */
    U+1F00-1FFF, /* Greek Extended */
    U+0400-04FF, /* Cyrillic */
    U+0500-052F; /* Cyrillic Supplement */
}

@font-face {
    font-family: 'Noto Serif';
    src: url('/fonts/noto-serif/NotoSerif-Italic.woff2') format('woff2');
    font-style: italic;
    font-display: swap;
    unicode-range:
    U+0000-00FF, /* Latin */
    U+0100-017F, /* Latin Extended-A */
    U+0180-024F, /* Latin Extended-B */
    U+1E00-1EFF, /* Latin Extended Additional */
    U+0370-03FF, /* Greek */
    U+1F00-1FFF, /* Greek Extended */
    U+0400-04FF, /* Cyrillic */
    U+0500-052F; /* Cyrillic Supplement */
}

/* Hebrew */

@font-face {
    font-family: 'Noto Sans';
    src: url('/fonts/noto-sans/hebrew/NotoSansHebrew.woff2') format('woff2');
    font-display: swap;
    unicode-range: U+0590-05FF;
}

@font-face {
    font-family: 'Noto Serif Hebrew';
    src: url('/fonts/noto-serif/hebrew/NotoSerifHebrew.woff2') format('woff2');
    font-display: swap;
    unicode-range: U+0590-05FF;
}

/* Gujarati */

@font-face {
    font-family: 'Noto Sans';
    src: url('/fonts/noto-sans/gujarati/NotoSansGujarati.woff2') format('woff2');
    font-display: swap;
    unicode-range: U+0A80-0AFF;
}

@font-face {
    font-family: 'Noto Serif';
    src: url('/fonts/noto-serif/gujarati/NotoSerifGujarati.woff2') format('woff2');
    font-display: swap;
    unicode-range: U+0A80-0AFF;
}

/* Kannada */

@font-face {
    font-family: 'Noto Sans';
    src: url('/fonts/noto-sans/kannada/NotoSansKannada.woff2') format('woff2');
    font-display: swap;
    unicode-range: U+0C80-0CFF;
}

@font-face {
    font-family: 'Noto Serif';
    src: url('/fonts/noto-serif/kannada/NotoSerifKannada.woff2') format('woff2');
    font-display: swap;
    unicode-range: U+0C80-0CFF;
}

/* Thai */

@font-face {
    font-family: 'Noto Sans';
    src: url('/fonts/noto-sans/thai/NotoSansThai.woff2') format('woff2');
    font-display: swap;
    unicode-range: U+0E00-0E7F;
}

@font-face {
    font-family: 'Noto Serif';
    src: url('/fonts/noto-serif/thai/NotoSerifThai.woff2') format('woff2');
    font-display: swap;
    unicode-range: U+0E00-0E7F;
}

/* Devanagari */

@font-face {
    font-family: 'Noto Sans';
    src: url('/fonts/noto-sans/devanagari/NotoSansDevanagari.woff2') format('woff2');
    font-display: swap;
    unicode-range: U+0900-097F;
}

/* Bengali */

@font-face {
    font-family: 'Noto Sans';
    src: url('/fonts/noto-sans/bengali/NotoSansBengali.woff2') format('woff2');
    font-display: swap;
    unicode-range: U+0980-09FF;
}

/* Tamil */

@font-face {
    font-family: 'Noto Sans';
    src: url('/fonts/noto-sans/tamil/NotoSansTamil.woff2') format('woff2');
    font-display: swap;
    unicode-range: U+0B80-0BFF;
}

/* Telugu */

@font-face {
    font-family: 'Noto Sans';
    src: url('/fonts/noto-sans/telugu/NotoSansTelugu.woff2') format('woff2');
    font-display: swap;
    unicode-range: U+0C00-0C7F;
}

/* Gurmukhi */

@font-face {
    font-family: 'Noto Sans';
    src: url('/fonts/noto-sans/gurmukhi/NotoSansGurmukhi.woff2') format('woff2');
    font-display: swap;
    unicode-range: U+0A00-0A7F;
}

/* JP */

@font-face {
    font-family: 'Noto Sans JP';
    src: url('/fonts/noto-sans/jp/NotoSansJP.woff2') format('woff2');
    font-display: swap;
    unicode-range:
    U+3000-303F, /* CJK Symbols & Punctuation */
    U+3040-309F, /* Hiragana */
    U+30A0-30FF, /* Katakana */
    U+31F0-31FF, /* Katakana Phonetic Extensions */
    U+3400-4DBF, /* CJK Extension A */
    U+4E00-9FFF, /* CJK Unified Ideographs */
    U+FF00-FFEF; /* Halfwidth & Fullwidth Forms */
}

@font-face {
    font-family: 'Noto Serif JP';
    src: url('/fonts/noto-serif/jp/NotoSerifJP.woff2') format('woff2');
    font-display: swap;
    unicode-range:
    U+3000-303F, /* CJK Symbols & Punctuation */
    U+3040-309F, /* Hiragana */
    U+30A0-30FF, /* Katakana */
    U+31F0-31FF, /* Katakana Phonetic Extensions */
    U+3400-4DBF, /* CJK Extension A */
    U+4E00-9FFF, /* CJK Unified Ideographs */
    U+FF00-FFEF; /* Halfwidth & Fullwidth Forms */
}

/* KR */

@font-face {
    font-family: 'Noto Sans KR';
    src: url('/fonts/noto-sans/kr/NotoSansKR.woff2') format('woff2');
    font-display: swap;
    unicode-range:
    U+1100-11FF,   /* Hangul Jamo */
    U+3130-318F,   /* Hangul Compatibility Jamo */
    U+A960-A97F,   /* Hangul Jamo Extended-A */
    U+AC00-D7AF,   /* Hangul Syllables */
    U+D7B0-D7FF,   /* Hangul Jamo Extended-B */
    U+3000-303F,   /* CJK Symbols & Punctuation */
    U+FF00-FFEF;   /* Halfwidth & Fullwidth Forms */
}

@font-face {
    font-family: 'Noto Serif KR';
    src: url('/fonts/noto-serif/kr/NotoSerifKR.woff2') format('woff2');
    font-display: swap;
    unicode-range:
    U+1100-11FF,   /* Hangul Jamo */
    U+3130-318F,   /* Hangul Compatibility Jamo */
    U+A960-A97F,   /* Hangul Jamo Extended-A */
    U+AC00-D7AF,   /* Hangul Syllables */
    U+D7B0-D7FF,   /* Hangul Jamo Extended-B */
    U+3000-303F,   /* CJK Symbols & Punctuation */
    U+FF00-FFEF;   /* Halfwidth & Fullwidth Forms */
}

/* SC */

@font-face {
    font-family: 'Noto Sans SC';
    src: url('/fonts/noto-sans/sc/NotoSansSC.woff2') format('woff2');
    font-display: swap;
    unicode-range:
    U+3000-303F,   /* CJK Symbols & Punctuation */
    U+3400-4DBF,   /* CJK Extension A */
    U+4E00-9FFF,   /* CJK Unified Ideographs */
    U+2E80-2EFF,   /* CJK Radicals Supplement */
    U+2F00-2FDF,   /* Kangxi Radicals */
    U+FF00-FFEF;   /* Halfwidth & Fullwidth Forms */
}

@font-face {
    font-family: 'Noto Serif SC';
    src: url('/fonts/noto-serif/sc/NotoSerifSC.woff2') format('woff2');
    font-display: swap;
    unicode-range:
    U+3000-303F,   /* CJK Symbols & Punctuation */
    U+3400-4DBF,   /* CJK Extension A */
    U+4E00-9FFF,   /* CJK Unified Ideographs */
    U+2E80-2EFF,   /* CJK Radicals Supplement */
    U+2F00-2FDF,   /* Kangxi Radicals */
    U+FF00-FFEF;   /* Halfwidth & Fullwidth Forms */
}

/* TC */

@font-face {
    font-family: 'Noto Sans TC';
    src: url('/fonts/noto-sans/tc/NotoSansTC.woff2') format('woff2');
    font-display: swap;
    unicode-range:
    U+3000-303F,   /* CJK Symbols & Punctuation */
    U+3400-4DBF,   /* CJK Extension A */
    U+4E00-9FFF,   /* CJK Unified Ideographs */
    U+2E80-2EFF,   /* CJK Radicals Supplement */
    U+2F00-2FDF,   /* Kangxi Radicals */
    U+FF00-FFEF;   /* Halfwidth & Fullwidth Forms */
}

@font-face {
    font-family: 'Noto Serif TC';
    src: url('/fonts/noto-serif/tc/NotoSerifTC.woff2') format('woff2');
    font-display: swap;
    unicode-range:
    U+3000-303F,   /* CJK Symbols & Punctuation */
    U+3400-4DBF,   /* CJK Extension A */
    U+4E00-9FFF,   /* CJK Unified Ideographs */
    U+2E80-2EFF,   /* CJK Radicals Supplement */
    U+2F00-2FDF,   /* Kangxi Radicals */
    U+FF00-FFEF;   /* Halfwidth & Fullwidth Forms */
}

/* Arabic */

@font-face {
    font-family: 'Noto Sans';
    src: url('/fonts/noto-sans/arabic/NotoSansArabic.woff2') format('woff2');
    font-display: swap;
    unicode-range:
    U+0600-06FF,   /* Arabic */
    U+0750-077F,   /* Arabic Supplement */
    U+08A0-08FF,   /* Arabic Extended-A */
    U+FB50-FDFF,   /* Arabic Presentation Forms-A */
    U+FE70-FEFF;   /* Arabic Presentation Forms-B */
}

@font-face {
    font-family: 'Noto Serif';
    src: url('/fonts/noto-serif/arabic/NotoNaskhArabic.woff2') format('woff2');
    font-display: swap;
    unicode-range:
    U+0600-06FF,   /* Arabic */
    U+0750-077F,   /* Arabic Supplement */
    U+08A0-08FF,   /* Arabic Extended-A */
    U+FB50-FDFF,   /* Arabic Presentation Forms-A */
    U+FE70-FEFF;   /* Arabic Presentation Forms-B */
}

@font-face {
    font-family: 'Noto Nastaliq Urdu';
    src: url('/fonts/noto-serif/nastaliq/NotoNastaliqUrdu.woff2') format('woff2');
    font-display: swap;
    unicode-range:
    U+0600-06FF,   /* Arabic */
    U+0750-077F,   /* Arabic Supplement */
    U+08A0-08FF,   /* Arabic Extended-A */
    U+FB50-FDFF,   /* Arabic Presentation Forms-A */
    U+FE70-FEFF;   /* Arabic Presentation Forms-B */
}